
Core - Bug # 52865

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2013-10-15 Assigned To:
Updated: 2013-10-15 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: easy
Is Regression: No
Sprint Focus:
Subject: Incomplete mock in ext:frontend FAL getData test
Description

Related issues:
related to Core - Task # 51436: Standalone unit test runner Resolved 2014-02-10
related to Core - Bug # 52818: In Frontend Language and Workspace overlay nee... Resolved 2013-10-14

Associated revisions
Revision 60670fb6 - 2013-10-15 22:34 - Christian Kuhn

[BUGFIX] Incomplete mock in ext:frontend FAL getData test

The patch for #52818 triggered a failing test for ext:frontend
getData(). The patch mocks a File Resource properly to not test
FAL internals, but only the getData() logic.

Change-Id: I7312f4b9991931008fa68b66dcc9913162c222be
Resolves: #52865
Related: #52818
Releases: 6.2
Reviewed-on: https://review.typo3.org/24819
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Steffen Ritter
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2013-10-15 21:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24819

#2 - 2013-10-15 23:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-04 1/2

https://review.typo3.org/24819
https://review.typo3.org/24819


Applied in changeset commit:60670fb61adcb2efce33b46218f6613d141a5b20.

2015-08-04 2/2


